crypto.hpp File Reference
API

the crypto algoritm definition More...

`#include "../my_config.h"`
`#include <string>`
`#include "datetime.hpp"`
`#include <list>`

Go to the source code of this file.

## Classes

struct | libdar::signator
| signator status More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations

enum class | libdar::crypto_algo { libdar::crypto_algo::none , libdar::crypto_algo::scrambling , libdar::crypto_algo::blowfish , libdar::crypto_algo::aes256 , libdar::crypto_algo::twofish256 , libdar::crypto_algo::serpent256 , libdar::crypto_algo::camellia256 }
| the different cypher available for encryption (strong or weak) More...

## Functions

std::string | libdar::crypto_algo_2_string (crypto_algo algo)
| convert crypto algo to readable std::string
char | libdar::crypto_algo_2_char (crypto_algo a)
| convert crypto algo to char
crypto_algo | libdar::char_2_crypto_algo (char a)
| convert char to crypto algo
bool | libdar::same_signatories (const std::list< signator > &a, const std::list< signator > &b)
| return whether the two signators lists match

## Detailed Description

the crypto algoritm definition

Definition in file crypto.hpp.